petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSetVariableBounds

sets a function to compute the lower and upper bound vectors for SNESVI.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMSetVariableBounds(DM dm,PetscErrorCode (*f)(DM,Vec,Vec))

Logically Collective on DM

### Input Parameter

| dm | - the DM object
| f | - the function that computes variable bounds used by SNESVI (use NULL to cancel a previous function that was set)

### See Also

DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix(), DMGetApplicationContext(),
DMSetJacobian()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages